Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network64.3.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
64.3.0.0
Broadcast address
64.3.127.255
First usable
64.3.0.1
Last usable
64.3.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 40030000 · Integer 1073938432 to 1073971199
Reverse DNS zones
0.3.64.in-addr.arpa
1.3.64.in-addr.arpa
2.3.64.in-addr.arpa
3.3.64.in-addr.arpa
4.3.64.in-addr.arpa
5.3.64.in-addr.arpa
6.3.64.in-addr.arpa
7.3.64.in-addr.arpa
8.3.64.in-addr.arpa
9.3.64.in-addr.arpa
10.3.64.in-addr.arpa
11.3.64.in-addr.arpa
12.3.64.in-addr.arpa
13.3.64.in-addr.arpa
14.3.64.in-addr.arpa
15.3.64.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000000.00000011.00000000.0000000064.3.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network01000000.00000011.00000000.0000000064.3.0.0
Broadcast01000000.00000011.01111111.1111111164.3.127.255
Split into smaller subnets/29

64.3.0.0/17 makes 4,096 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
164.3.0.0/2964.3.0.1 to 64.3.0.664.3.0.76
264.3.0.8/2964.3.0.9 to 64.3.0.1464.3.0.156
364.3.0.16/2964.3.0.17 to 64.3.0.2264.3.0.236
464.3.0.24/2964.3.0.25 to 64.3.0.3064.3.0.316
564.3.0.32/2964.3.0.33 to 64.3.0.3864.3.0.396
664.3.0.40/2964.3.0.41 to 64.3.0.4664.3.0.476
764.3.0.48/2964.3.0.49 to 64.3.0.5464.3.0.556
864.3.0.56/2964.3.0.57 to 64.3.0.6264.3.0.636
964.3.0.64/2964.3.0.65 to 64.3.0.7064.3.0.716
1064.3.0.72/2964.3.0.73 to 64.3.0.7864.3.0.796
1164.3.0.80/2964.3.0.81 to 64.3.0.8664.3.0.876
1264.3.0.88/2964.3.0.89 to 64.3.0.9464.3.0.956
1364.3.0.96/2964.3.0.97 to 64.3.0.10264.3.0.1036
1464.3.0.104/2964.3.0.105 to 64.3.0.11064.3.0.1116
1564.3.0.112/2964.3.0.113 to 64.3.0.11864.3.0.1196
1664.3.0.120/2964.3.0.121 to 64.3.0.12664.3.0.1276
1764.3.0.128/2964.3.0.129 to 64.3.0.13464.3.0.1356
1864.3.0.136/2964.3.0.137 to 64.3.0.14264.3.0.1436
1964.3.0.144/2964.3.0.145 to 64.3.0.15064.3.0.1516
2064.3.0.152/2964.3.0.153 to 64.3.0.15864.3.0.1596
2164.3.0.160/2964.3.0.161 to 64.3.0.16664.3.0.1676
2264.3.0.168/2964.3.0.169 to 64.3.0.17464.3.0.1756
2364.3.0.176/2964.3.0.177 to 64.3.0.18264.3.0.1836
2464.3.0.184/2964.3.0.185 to 64.3.0.19064.3.0.1916
2564.3.0.192/2964.3.0.193 to 64.3.0.19864.3.0.1996
2664.3.0.200/2964.3.0.201 to 64.3.0.20664.3.0.2076
2764.3.0.208/2964.3.0.209 to 64.3.0.21464.3.0.2156
2864.3.0.216/2964.3.0.217 to 64.3.0.22264.3.0.2236
2964.3.0.224/2964.3.0.225 to 64.3.0.23064.3.0.2316
3064.3.0.232/2964.3.0.233 to 64.3.0.23864.3.0.2396
3164.3.0.240/2964.3.0.241 to 64.3.0.24664.3.0.2476
3264.3.0.248/2964.3.0.249 to 64.3.0.25464.3.0.2556
3364.3.1.0/2964.3.1.1 to 64.3.1.664.3.1.76
3464.3.1.8/2964.3.1.9 to 64.3.1.1464.3.1.156
3564.3.1.16/2964.3.1.17 to 64.3.1.2264.3.1.236
3664.3.1.24/2964.3.1.25 to 64.3.1.3064.3.1.316
3764.3.1.32/2964.3.1.33 to 64.3.1.3864.3.1.396
3864.3.1.40/2964.3.1.41 to 64.3.1.4664.3.1.476
3964.3.1.48/2964.3.1.49 to 64.3.1.5464.3.1.556
4064.3.1.56/2964.3.1.57 to 64.3.1.6264.3.1.636
4164.3.1.64/2964.3.1.65 to 64.3.1.7064.3.1.716
4264.3.1.72/2964.3.1.73 to 64.3.1.7864.3.1.796
4364.3.1.80/2964.3.1.81 to 64.3.1.8664.3.1.876
4464.3.1.88/2964.3.1.89 to 64.3.1.9464.3.1.956
4564.3.1.96/2964.3.1.97 to 64.3.1.10264.3.1.1036
4664.3.1.104/2964.3.1.105 to 64.3.1.11064.3.1.1116
4764.3.1.112/2964.3.1.113 to 64.3.1.11864.3.1.1196
4864.3.1.120/2964.3.1.121 to 64.3.1.12664.3.1.1276
4964.3.1.128/2964.3.1.129 to 64.3.1.13464.3.1.1356
5064.3.1.136/2964.3.1.137 to 64.3.1.14264.3.1.1436
5164.3.1.144/2964.3.1.145 to 64.3.1.15064.3.1.1516
5264.3.1.152/2964.3.1.153 to 64.3.1.15864.3.1.1596
5364.3.1.160/2964.3.1.161 to 64.3.1.16664.3.1.1676
5464.3.1.168/2964.3.1.169 to 64.3.1.17464.3.1.1756
5564.3.1.176/2964.3.1.177 to 64.3.1.18264.3.1.1836
5664.3.1.184/2964.3.1.185 to 64.3.1.19064.3.1.1916
5764.3.1.192/2964.3.1.193 to 64.3.1.19864.3.1.1996
5864.3.1.200/2964.3.1.201 to 64.3.1.20664.3.1.2076
5964.3.1.208/2964.3.1.209 to 64.3.1.21464.3.1.2156
6064.3.1.216/2964.3.1.217 to 64.3.1.22264.3.1.2236
6164.3.1.224/2964.3.1.225 to 64.3.1.23064.3.1.2316
6264.3.1.232/2964.3.1.233 to 64.3.1.23864.3.1.2396
6364.3.1.240/2964.3.1.241 to 64.3.1.24664.3.1.2476
6464.3.1.248/2964.3.1.249 to 64.3.1.25464.3.1.2556
6564.3.2.0/2964.3.2.1 to 64.3.2.664.3.2.76
6664.3.2.8/2964.3.2.9 to 64.3.2.1464.3.2.156
6764.3.2.16/2964.3.2.17 to 64.3.2.2264.3.2.236
6864.3.2.24/2964.3.2.25 to 64.3.2.3064.3.2.316
6964.3.2.32/2964.3.2.33 to 64.3.2.3864.3.2.396
7064.3.2.40/2964.3.2.41 to 64.3.2.4664.3.2.476
7164.3.2.48/2964.3.2.49 to 64.3.2.5464.3.2.556
7264.3.2.56/2964.3.2.57 to 64.3.2.6264.3.2.636
7364.3.2.64/2964.3.2.65 to 64.3.2.7064.3.2.716
7464.3.2.72/2964.3.2.73 to 64.3.2.7864.3.2.796
7564.3.2.80/2964.3.2.81 to 64.3.2.8664.3.2.876
7664.3.2.88/2964.3.2.89 to 64.3.2.9464.3.2.956
7764.3.2.96/2964.3.2.97 to 64.3.2.10264.3.2.1036
7864.3.2.104/2964.3.2.105 to 64.3.2.11064.3.2.1116
7964.3.2.112/2964.3.2.113 to 64.3.2.11864.3.2.1196
8064.3.2.120/2964.3.2.121 to 64.3.2.12664.3.2.1276
8164.3.2.128/2964.3.2.129 to 64.3.2.13464.3.2.1356
8264.3.2.136/2964.3.2.137 to 64.3.2.14264.3.2.1436
8364.3.2.144/2964.3.2.145 to 64.3.2.15064.3.2.1516
8464.3.2.152/2964.3.2.153 to 64.3.2.15864.3.2.1596
8564.3.2.160/2964.3.2.161 to 64.3.2.16664.3.2.1676
8664.3.2.168/2964.3.2.169 to 64.3.2.17464.3.2.1756
8764.3.2.176/2964.3.2.177 to 64.3.2.18264.3.2.1836
8864.3.2.184/2964.3.2.185 to 64.3.2.19064.3.2.1916
8964.3.2.192/2964.3.2.193 to 64.3.2.19864.3.2.1996
9064.3.2.200/2964.3.2.201 to 64.3.2.20664.3.2.2076
9164.3.2.208/2964.3.2.209 to 64.3.2.21464.3.2.2156
9264.3.2.216/2964.3.2.217 to 64.3.2.22264.3.2.2236
9364.3.2.224/2964.3.2.225 to 64.3.2.23064.3.2.2316
9464.3.2.232/2964.3.2.233 to 64.3.2.23864.3.2.2396
9564.3.2.240/2964.3.2.241 to 64.3.2.24664.3.2.2476
9664.3.2.248/2964.3.2.249 to 64.3.2.25464.3.2.2556
9764.3.3.0/2964.3.3.1 to 64.3.3.664.3.3.76
9864.3.3.8/2964.3.3.9 to 64.3.3.1464.3.3.156
9964.3.3.16/2964.3.3.17 to 64.3.3.2264.3.3.236
10064.3.3.24/2964.3.3.25 to 64.3.3.3064.3.3.316
10164.3.3.32/2964.3.3.33 to 64.3.3.3864.3.3.396
10264.3.3.40/2964.3.3.41 to 64.3.3.4664.3.3.476
10364.3.3.48/2964.3.3.49 to 64.3.3.5464.3.3.556
10464.3.3.56/2964.3.3.57 to 64.3.3.6264.3.3.636
10564.3.3.64/2964.3.3.65 to 64.3.3.7064.3.3.716
10664.3.3.72/2964.3.3.73 to 64.3.3.7864.3.3.796
10764.3.3.80/2964.3.3.81 to 64.3.3.8664.3.3.876
10864.3.3.88/2964.3.3.89 to 64.3.3.9464.3.3.956
10964.3.3.96/2964.3.3.97 to 64.3.3.10264.3.3.1036
11064.3.3.104/2964.3.3.105 to 64.3.3.11064.3.3.1116
11164.3.3.112/2964.3.3.113 to 64.3.3.11864.3.3.1196
11264.3.3.120/2964.3.3.121 to 64.3.3.12664.3.3.1276
11364.3.3.128/2964.3.3.129 to 64.3.3.13464.3.3.1356
11464.3.3.136/2964.3.3.137 to 64.3.3.14264.3.3.1436
11564.3.3.144/2964.3.3.145 to 64.3.3.15064.3.3.1516
11664.3.3.152/2964.3.3.153 to 64.3.3.15864.3.3.1596
11764.3.3.160/2964.3.3.161 to 64.3.3.16664.3.3.1676
11864.3.3.168/2964.3.3.169 to 64.3.3.17464.3.3.1756
11964.3.3.176/2964.3.3.177 to 64.3.3.18264.3.3.1836
12064.3.3.184/2964.3.3.185 to 64.3.3.19064.3.3.1916
12164.3.3.192/2964.3.3.193 to 64.3.3.19864.3.3.1996
12264.3.3.200/2964.3.3.201 to 64.3.3.20664.3.3.2076
12364.3.3.208/2964.3.3.209 to 64.3.3.21464.3.3.2156
12464.3.3.216/2964.3.3.217 to 64.3.3.22264.3.3.2236
12564.3.3.224/2964.3.3.225 to 64.3.3.23064.3.3.2316
12664.3.3.232/2964.3.3.233 to 64.3.3.23864.3.3.2396
12764.3.3.240/2964.3.3.241 to 64.3.3.24664.3.3.2476
12864.3.3.248/2964.3.3.249 to 64.3.3.25464.3.3.2556
12964.3.4.0/2964.3.4.1 to 64.3.4.664.3.4.76
13064.3.4.8/2964.3.4.9 to 64.3.4.1464.3.4.156
13164.3.4.16/2964.3.4.17 to 64.3.4.2264.3.4.236
13264.3.4.24/2964.3.4.25 to 64.3.4.3064.3.4.316
13364.3.4.32/2964.3.4.33 to 64.3.4.3864.3.4.396
13464.3.4.40/2964.3.4.41 to 64.3.4.4664.3.4.476
13564.3.4.48/2964.3.4.49 to 64.3.4.5464.3.4.556
13664.3.4.56/2964.3.4.57 to 64.3.4.6264.3.4.636
13764.3.4.64/2964.3.4.65 to 64.3.4.7064.3.4.716
13864.3.4.72/2964.3.4.73 to 64.3.4.7864.3.4.796
13964.3.4.80/2964.3.4.81 to 64.3.4.8664.3.4.876
14064.3.4.88/2964.3.4.89 to 64.3.4.9464.3.4.956
14164.3.4.96/2964.3.4.97 to 64.3.4.10264.3.4.1036
14264.3.4.104/2964.3.4.105 to 64.3.4.11064.3.4.1116
14364.3.4.112/2964.3.4.113 to 64.3.4.11864.3.4.1196
14464.3.4.120/2964.3.4.121 to 64.3.4.12664.3.4.1276
14564.3.4.128/2964.3.4.129 to 64.3.4.13464.3.4.1356
14664.3.4.136/2964.3.4.137 to 64.3.4.14264.3.4.1436
14764.3.4.144/2964.3.4.145 to 64.3.4.15064.3.4.1516
14864.3.4.152/2964.3.4.153 to 64.3.4.15864.3.4.1596
14964.3.4.160/2964.3.4.161 to 64.3.4.16664.3.4.1676
15064.3.4.168/2964.3.4.169 to 64.3.4.17464.3.4.1756
15164.3.4.176/2964.3.4.177 to 64.3.4.18264.3.4.1836
15264.3.4.184/2964.3.4.185 to 64.3.4.19064.3.4.1916
15364.3.4.192/2964.3.4.193 to 64.3.4.19864.3.4.1996
15464.3.4.200/2964.3.4.201 to 64.3.4.20664.3.4.2076
15564.3.4.208/2964.3.4.209 to 64.3.4.21464.3.4.2156
15664.3.4.216/2964.3.4.217 to 64.3.4.22264.3.4.2236
15764.3.4.224/2964.3.4.225 to 64.3.4.23064.3.4.2316
15864.3.4.232/2964.3.4.233 to 64.3.4.23864.3.4.2396
15964.3.4.240/2964.3.4.241 to 64.3.4.24664.3.4.2476
16064.3.4.248/2964.3.4.249 to 64.3.4.25464.3.4.2556
16164.3.5.0/2964.3.5.1 to 64.3.5.664.3.5.76
16264.3.5.8/2964.3.5.9 to 64.3.5.1464.3.5.156
16364.3.5.16/2964.3.5.17 to 64.3.5.2264.3.5.236
16464.3.5.24/2964.3.5.25 to 64.3.5.3064.3.5.316
16564.3.5.32/2964.3.5.33 to 64.3.5.3864.3.5.396
16664.3.5.40/2964.3.5.41 to 64.3.5.4664.3.5.476
16764.3.5.48/2964.3.5.49 to 64.3.5.5464.3.5.556
16864.3.5.56/2964.3.5.57 to 64.3.5.6264.3.5.636
16964.3.5.64/2964.3.5.65 to 64.3.5.7064.3.5.716
17064.3.5.72/2964.3.5.73 to 64.3.5.7864.3.5.796
17164.3.5.80/2964.3.5.81 to 64.3.5.8664.3.5.876
17264.3.5.88/2964.3.5.89 to 64.3.5.9464.3.5.956
17364.3.5.96/2964.3.5.97 to 64.3.5.10264.3.5.1036
17464.3.5.104/2964.3.5.105 to 64.3.5.11064.3.5.1116
17564.3.5.112/2964.3.5.113 to 64.3.5.11864.3.5.1196
17664.3.5.120/2964.3.5.121 to 64.3.5.12664.3.5.1276
17764.3.5.128/2964.3.5.129 to 64.3.5.13464.3.5.1356
17864.3.5.136/2964.3.5.137 to 64.3.5.14264.3.5.1436
17964.3.5.144/2964.3.5.145 to 64.3.5.15064.3.5.1516
18064.3.5.152/2964.3.5.153 to 64.3.5.15864.3.5.1596
18164.3.5.160/2964.3.5.161 to 64.3.5.16664.3.5.1676
18264.3.5.168/2964.3.5.169 to 64.3.5.17464.3.5.1756
18364.3.5.176/2964.3.5.177 to 64.3.5.18264.3.5.1836
18464.3.5.184/2964.3.5.185 to 64.3.5.19064.3.5.1916
18564.3.5.192/2964.3.5.193 to 64.3.5.19864.3.5.1996
18664.3.5.200/2964.3.5.201 to 64.3.5.20664.3.5.2076
18764.3.5.208/2964.3.5.209 to 64.3.5.21464.3.5.2156
18864.3.5.216/2964.3.5.217 to 64.3.5.22264.3.5.2236
18964.3.5.224/2964.3.5.225 to 64.3.5.23064.3.5.2316
19064.3.5.232/2964.3.5.233 to 64.3.5.23864.3.5.2396
19164.3.5.240/2964.3.5.241 to 64.3.5.24664.3.5.2476
19264.3.5.248/2964.3.5.249 to 64.3.5.25464.3.5.2556
19364.3.6.0/2964.3.6.1 to 64.3.6.664.3.6.76
19464.3.6.8/2964.3.6.9 to 64.3.6.1464.3.6.156
19564.3.6.16/2964.3.6.17 to 64.3.6.2264.3.6.236
19664.3.6.24/2964.3.6.25 to 64.3.6.3064.3.6.316
19764.3.6.32/2964.3.6.33 to 64.3.6.3864.3.6.396
19864.3.6.40/2964.3.6.41 to 64.3.6.4664.3.6.476
19964.3.6.48/2964.3.6.49 to 64.3.6.5464.3.6.556
20064.3.6.56/2964.3.6.57 to 64.3.6.6264.3.6.636
20164.3.6.64/2964.3.6.65 to 64.3.6.7064.3.6.716
20264.3.6.72/2964.3.6.73 to 64.3.6.7864.3.6.796
20364.3.6.80/2964.3.6.81 to 64.3.6.8664.3.6.876
20464.3.6.88/2964.3.6.89 to 64.3.6.9464.3.6.956
20564.3.6.96/2964.3.6.97 to 64.3.6.10264.3.6.1036
20664.3.6.104/2964.3.6.105 to 64.3.6.11064.3.6.1116
20764.3.6.112/2964.3.6.113 to 64.3.6.11864.3.6.1196
20864.3.6.120/2964.3.6.121 to 64.3.6.12664.3.6.1276
20964.3.6.128/2964.3.6.129 to 64.3.6.13464.3.6.1356
21064.3.6.136/2964.3.6.137 to 64.3.6.14264.3.6.1436
21164.3.6.144/2964.3.6.145 to 64.3.6.15064.3.6.1516
21264.3.6.152/2964.3.6.153 to 64.3.6.15864.3.6.1596
21364.3.6.160/2964.3.6.161 to 64.3.6.16664.3.6.1676
21464.3.6.168/2964.3.6.169 to 64.3.6.17464.3.6.1756
21564.3.6.176/2964.3.6.177 to 64.3.6.18264.3.6.1836
21664.3.6.184/2964.3.6.185 to 64.3.6.19064.3.6.1916
21764.3.6.192/2964.3.6.193 to 64.3.6.19864.3.6.1996
21864.3.6.200/2964.3.6.201 to 64.3.6.20664.3.6.2076
21964.3.6.208/2964.3.6.209 to 64.3.6.21464.3.6.2156
22064.3.6.216/2964.3.6.217 to 64.3.6.22264.3.6.2236
22164.3.6.224/2964.3.6.225 to 64.3.6.23064.3.6.2316
22264.3.6.232/2964.3.6.233 to 64.3.6.23864.3.6.2396
22364.3.6.240/2964.3.6.241 to 64.3.6.24664.3.6.2476
22464.3.6.248/2964.3.6.249 to 64.3.6.25464.3.6.2556
22564.3.7.0/2964.3.7.1 to 64.3.7.664.3.7.76
22664.3.7.8/2964.3.7.9 to 64.3.7.1464.3.7.156
22764.3.7.16/2964.3.7.17 to 64.3.7.2264.3.7.236
22864.3.7.24/2964.3.7.25 to 64.3.7.3064.3.7.316
22964.3.7.32/2964.3.7.33 to 64.3.7.3864.3.7.396
23064.3.7.40/2964.3.7.41 to 64.3.7.4664.3.7.476
23164.3.7.48/2964.3.7.49 to 64.3.7.5464.3.7.556
23264.3.7.56/2964.3.7.57 to 64.3.7.6264.3.7.636
23364.3.7.64/2964.3.7.65 to 64.3.7.7064.3.7.716
23464.3.7.72/2964.3.7.73 to 64.3.7.7864.3.7.796
23564.3.7.80/2964.3.7.81 to 64.3.7.8664.3.7.876
23664.3.7.88/2964.3.7.89 to 64.3.7.9464.3.7.956
23764.3.7.96/2964.3.7.97 to 64.3.7.10264.3.7.1036
23864.3.7.104/2964.3.7.105 to 64.3.7.11064.3.7.1116
23964.3.7.112/2964.3.7.113 to 64.3.7.11864.3.7.1196
24064.3.7.120/2964.3.7.121 to 64.3.7.12664.3.7.1276
24164.3.7.128/2964.3.7.129 to 64.3.7.13464.3.7.1356
24264.3.7.136/2964.3.7.137 to 64.3.7.14264.3.7.1436
24364.3.7.144/2964.3.7.145 to 64.3.7.15064.3.7.1516
24464.3.7.152/2964.3.7.153 to 64.3.7.15864.3.7.1596
24564.3.7.160/2964.3.7.161 to 64.3.7.16664.3.7.1676
24664.3.7.168/2964.3.7.169 to 64.3.7.17464.3.7.1756
24764.3.7.176/2964.3.7.177 to 64.3.7.18264.3.7.1836
24864.3.7.184/2964.3.7.185 to 64.3.7.19064.3.7.1916
24964.3.7.192/2964.3.7.193 to 64.3.7.19864.3.7.1996
25064.3.7.200/2964.3.7.201 to 64.3.7.20664.3.7.2076
25164.3.7.208/2964.3.7.209 to 64.3.7.21464.3.7.2156
25264.3.7.216/2964.3.7.217 to 64.3.7.22264.3.7.2236
25364.3.7.224/2964.3.7.225 to 64.3.7.23064.3.7.2316
25464.3.7.232/2964.3.7.233 to 64.3.7.23864.3.7.2396
25564.3.7.240/2964.3.7.241 to 64.3.7.24664.3.7.2476
25664.3.7.248/2964.3.7.249 to 64.3.7.25464.3.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses